Bug 1221940 - Obsolete geoclue1
Summary: Obsolete geoclue1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: geoclue2
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Zeeshan Ali
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1091355
TreeView+ depends on / blocked
 
Reported: 2015-05-15 10:01 UTC by Bastien Nocera
Modified: 2016-09-20 01:43 UTC (History)
2 users (show)

Fixed In Version: geoclue2-2.1.10-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 08:28:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2157 0 normal SHIPPED_LIVE control-center bug fix and enhancement update 2015-11-19 08:48:59 UTC

Description Bastien Nocera 2015-05-15 10:01:38 UTC
geoclue1 is completely dead upstream for a couple of years.

We should add Obsoletes for geoclue1 to geoclue2, and block geoclue1 from the distribution.

Was geoclue1 ever a supported API for customer applications?

Comment 2 Zeeshan Ali 2015-07-14 15:04:37 UTC
Sure, shall we obsolete all geoclue1 packages?

geoclue
geoclue-gui
python-geoclue
geoclue-gypsy
geoclue-gsmloc
geoclue-devel
geoclue-doc

Last two should be obsoleted by geoclue2-devel I guess.

Comment 3 Zeeshan Ali 2015-07-14 17:32:54 UTC
I just went for a simple fix for now: Added Obsoletes on geoclue

Comment 4 Bastien Nocera 2015-07-15 06:00:54 UTC
This isn't good enough. Obsoletes *must* be versioned.

You should also obsolete all the Geoclue1 sub-packages that could have been installed, otherwise from:

geoclue
geoclue-gui (which requires geoclue of the same version)

You'd try to upgrade to:
geoclue2 (which obsoletes geoclue)
but geoclue-gui would require geoclue to be installed, not geoclue2
which would break the upgrade.

Comment 8 errata-xmlrpc 2015-11-19 08:28:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2157.html

Comment 9 Zeeshan Ali 2016-04-27 14:21:42 UTC
(In reply to Bastien Nocera from comment #0)
> geoclue1 is completely dead upstream for a couple of years.
> 
> We should add Obsoletes for geoclue1 to geoclue2, and block geoclue1 from
> the distribution.
> 
> Was geoclue1 ever a supported API for customer applications?

Apparently it is in EPEL at least: https://bugzilla.redhat.com/show_bug.cgi?id=1285479


Note You need to log in before you can comment on or make changes to this bug.